import request from '@/utils/request'

export function partsRefundConfigList(data) {
  return request({
    url: `/parts/refund/config/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function partsRefundConfigAdd(data) {
  return request({
    url: `/parts/refund/config/add`,
    method: 'post',
    data
  })
}

export function partsRefundConfigEdit(data) {
  return request({
    url: `/parts/refund/config/edit`,
    method: 'post',
    data
  })
}

export function partsRefundConfigBatchDel(data) {
  return request({
    url: `/parts/refund/config/batch/del`,
    method: 'post',
    data
  })
}

export function partsRefundConfigDetail(params) {
  return request({
    url: '/parts/refund/config/detail',
    method: 'post',
    params
  })
}

export function partsRefundConfigGetDefault(params) {
  return request({
    url: '/parts/refund/config/get/default',
    method: 'post',
    params
  })
}
